aboutsummaryrefslogtreecommitdiffstats
path: root/run_test_deliverable.sh
diff options
context:
space:
mode:
authorDavid Thomas <m8pple@github.com>2017-03-09 16:55:50 +0000
committerDavid Thomas <m8pple@github.com>2017-03-09 16:55:50 +0000
commitf3c05309d4f72d33560b79524f8639013bc60b4e (patch)
treef7b6a3865686ab30d265c192cf433d3872ab0030 /run_test_deliverable.sh
parent7922bd0454bc19cc974de7e2f5cf5ef614569782 (diff)
downloadCompiler-f3c05309d4f72d33560b79524f8639013bc60b4e.tar.gz
Compiler-f3c05309d4f72d33560b79524f8639013bc60b4e.zip
Moved from success is 1 to success is 0 as suggested.
Diffstat (limited to 'run_test_deliverable.sh')
-rw-r--r--run_test_deliverable.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/run_test_deliverable.sh b/run_test_deliverable.sh
index f77e8b7..35f6629 100644
--- a/run_test_deliverable.sh
+++ b/run_test_deliverable.sh
@@ -37,9 +37,9 @@ for DRIVER in test_deliverable/testcases/*_driver.c ; do
# Run the actual executable
qemu-mips working/${NAME}.elf
- if [[ $? -ne 1 ]]; then
+ if [[ $? -ne 0 ]]; then
>&2 echo "ERROR : Testcase returned $?, but expected 0."
fi
-
+ echo "pass"
done